Subject: bug#35521: Mariadb test suite failures on x86_64-linux

From: Arne Babenhauserheide <[email-masked]>
Date: Sun, 14 Jul 2019 13:10:14 +0200

Hi Mark,

Mark H Weaver <[email-masked]> writes:
> My log file contains the same error in the 'tokudb_bugs.mdev4533' test:
>
>   mysqltest: At line 6: query 'CREATE TABLE t1 (a INT(11), b CHAR(8)) ENGINE=TokuDB' failed: 1005: Can't create table `test`.`t1` (errno: 28 "No space left on device")
>
> After the build attempt, the failed build directory is ~3.4 GB, and I
> still have ~7.4 GB.  That seems to imply that I had over 10 GB free
> before starting the build, which sounds about right.  I don't have a
> separate /tmp partition.
…
> I should mention that I'm using Btrfs.

I use ext4, but I saw no space left on device errors when running guix
lint. Since I had 700GiB free, that does not sound like real missing
disk space, but rather that something else is wrong.

Best wishes,
Arne
--
Unpolitisch sein
heißt politisch sein
ohne es zu merken